<template>
  <div>
    <div class="_filters _filters--no-top">
      <div class="_filters__section">
        <div class="text--color-mute -text--small">{{ $t('js.generic.displaying_amount_on_total', {amount: diffsToDisplay.length, total: entitiesToSync.length}) }}</div>
      </div>
    </div>
    <div class="gpa-diff-entry__header">
      <div class="-text--center">{{ $t('js.admin.import.new_entry') }}</div>
      <div />
      <div />
      <div class="-text--center">{{ $t('js.admin.import.old_entry') }}</div>
    </div>
    <gpa-diff v-for="pair in diffsToDisplay"
              :key="pair.trusted.id"
              :current-base-url="currentBaseUrl"
              :trusted="pair.trusted"
              :current="pair.current"
              :trusted-class="trustedClass" />
  </div>
</template>

<script>
import GpaDiff from './Diff.vue'

export default {
  name: 'GpaDiffs',
  components: { GpaDiff },
  props: {
    entitiesToSync: { required: true, type: Array },
    trustedClass: { required: true, type: Function },
    currentBaseUrl: { required: false, type: String, default: null },
  },
  computed: {
    diffsToDisplay () { return this.$props.entitiesToSync.slice(0, 10) },
  },
}
</script>
